<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">

<hibernate-mapping default-lazy="false" default-cascade="all">
    <class name="gov.va.med.cds.audit.LegacyReadAuditLog" table="CDS_AUDIT_LOG3" lazy="false">
        <id name="auditLogId" column="KEY" type="java.lang.Long">
            <generator class="sequence" >
				<param name="sequence">cds_audit_log3_SEQ_ID</param>
			</generator>
        </id>
        
        <property name="localTime" column="LOCAL_TIME" type="java.util.Date"/>
        <property name="milliseconds" column="MILLISECONDS"/>
        <property name="isoLocalTime" column="ISO_LOCALTIME"/>
	    <property name="debugInfo" column="DEBUG_INFO" />  
        <property name="requestId" column="REQUEST_IDENTIFIER"/>
	    <property name="facility" column="FACILITY"/>
	    <property name="responseSize" column="RESPONSE_SIZE"/>
	    <property name="responseLength" column="RESPONSE_LENGTH"/>
	    <property name="machine" column="MACHINE"/>
	    <property name="clientId" column="CLIENT_IDENTIFIER"/>
	    <property name="clientRequestInitiationTime" column="CLIENT_REQUEST_TM"/>
	            
		<many-to-one name="clientMapping" class="gov.va.med.cds.audit.ClientMapping" 
			column="client_Mapping_Id" unique="true"/>
			
		<many-to-one name="templateIdWrapper" class="gov.va.med.cds.audit.TemplateIdWrapper" 
			column="template_name_Id" unique="true"/>
	    
       	<many-to-one  name="filterIdWrapper" class="gov.va.med.cds.audit.FilterIdWrapper"
			column="filter_name_Id" unique="true"/>

	</class>
	
</hibernate-mapping>
